<?php


function upg_date_picker()
{
	global $post;
	if(get_post_type( get_the_ID() )=='upg')
	{
	//jQuery UI date picker file
	wp_enqueue_script('jquery-ui-datepicker');
	//jQuery UI theme css file
	wp_enqueue_style('e2b-admin-ui-css','http://ajax.googleapis.com/ajax/libs/jqueryui/1.9.0/themes/base/jquery-ui.css',false,"1.9.0",false);
	}
}



//Adding facebook image meta tag for product page
function upg_metatag_facebook_head() 
{
	global $post;
	if(get_post_type( get_the_ID() )=='upg')
	{
		
	echo '<meta property="og:image" content="'.upg_image_src('large',$post).'" />';
	}

}

//Captcha code
function upg_verify_comment_captcha() 
{
	$options = get_option( 'upg_settings','' );
	
	if(!isset($options['upg_text_captcha_enable']) || $options['upg_text_captcha_enable']=="0")
	return "OK";	
		
	if (isset($_POST['g-recaptcha-response'])) 
	{
		$options = get_option( 'upg_settings','' );
		$recaptcha_secret = $options['upg_text_secret_key'];
		$response = wp_remote_get("https://www.google.com/recaptcha/api/siteverify?secret=". $recaptcha_secret ."&response=". $_POST['g-recaptcha-response']);
		
		if(is_array($response) && array_key_exists('body', $response))
		{
			$response = json_decode($response["body"], true);
			if (true == $response["success"]) 
			{
				//return true;
				return "OK";
			}
			else 
			{
				//return false;
				//return "oooo";
				return __("Please Complete the Security Spam Check.", "wp-upg-pro" );
			}
		}
		else
		{
			return __("Google Server Error", "wp-upg-pro");
		}
	} 
	else 
	{
		//return false;
		return __("Bots are not allowed to send ecards. If you are not a bot then please enable JavaScript in browser.", "wp-upg-pro");
		//return "8888";
	}


}


function upg_image_src($size,$post)
{
	// global $post;
	wp_enqueue_media();
	$field_names = array( 'pic_name');
	foreach ( $field_names as $name ) 
	{

			$value = $rawvalue = get_post_meta( $post->ID, $name, true );
			$image_attributes = wp_get_attachment_image_src( $rawvalue,$size );
			if ( $image_attributes )
			{
			return $image_attributes[0];
			}
			else
			{
				return "xx";
			}
			//$image = ! $rawvalue ? '' : wp_get_attachment_image( $rawvalue, 'full', false, array('style' => 'max-width:100%;height:auto;') );
			//echo "<div class='image-preview'>$image<br>$image_src</div>";	

			
			
	}
}
function upg_droplist_category()
{
	
		$disp='';
		$ptype='';
		

			$args = array(
			'show_option_all'    => '',
			'orderby'            => 'name',
			'order'              => 'ASC',
			'style'              => 'list',
			'show_count'         => 1,
			'hide_empty'         => 0,
			'use_desc_for_title' => 1,
			'feed'               => '',
			'feed_type'          => '',
			'feed_image'         => '',
			'exclude'            => '',
			'exclude_tree'       => '',
			'include'            => '',
			'hierarchical'       => 1,
			
			'number'             => null,
			'echo'               => 0,
			'depth'              => 0,
			'current_category'   => 0,
			'pad_counts'         => 0,
			'taxonomy'           => 'upg_cate',
			'walker'             => null,
			'value_field'	     => 'term_id'
			);

			

		

	 $disp.=wp_dropdown_categories( $args );
				
	
return $disp;

}

function upg_droplist_user($user)
{
	 $args = array(
    'show_option_all'         => null, // string
    'show_option_none'        => null, // string
    'hide_if_only_one_author' => null, // string
    'orderby'                 => 'display_name',
    'order'                   => 'ASC',
    'include'                 => null, // string
    'exclude'                 => null, // string
    'multi'                   => false,
    'show'                    => 'display_name',
    'echo'                    => true,
    'selected'                => $user,
    'include_selected'        => false,
    'name'                    => 'upg_settings[guest_user]', // string
    'id'                      => null, // integer
    'class'                   => null, // string 
    'blog_id'                 => $GLOBALS['blog_id'],
    'who'                     => null // string
	); 
	$disp= wp_dropdown_users( $args );
	return $disp;
}


function upg_html_content_type() 
{

	return 'text/html';
}
function upg_log($message) 
{
    if (WP_DEBUG === true) {
        if (is_array($message) || is_object($message)) {
            error_log(print_r($message, true));
        } else {
            error_log($message);
        }
    }
}
//log_me('This is a message for debugging purposes. wordks if dubug is enabled.');

function upg_delete_post_media( $post_id ) {

	if(!isset($post_id)) return; // Will die in case you run a function like this: delete_post_media($post_id); if you will remove this line - ALL ATTACHMENTS WHO HAS A PARENT WILL BE DELETED PERMANENTLY!
	elseif($post_id == 0) return; // Will die in case you have 0 set. there's no page id called 0 :)
	elseif(is_array($post_id)) return; // Will die in case you place there an array of pages.

	else {

	    $attachments = get_posts( array(
	        'post_type'      => 'attachment',
	        'posts_per_page' => -1,
	        'post_status'    => 'any',
	        'post_parent'    => $post_id
	    ) );

	    foreach ( $attachments as $attachment ) {
	        if ( false === wp_delete_attachment( $attachment->ID ) ) 
			{
	            upg_log('Unable to delete image-'.$post_id);
	        }
	    }
	}
}
?>